Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		stylus-toolbox
Version:	0.2.7
Release:	alt1_16
Summary:	A printer utility for Epson StylusA. inkjet printers

License:	GPLv2+
URL:		http://stylus-toolbox.sourceforge.net/
Source0:	http://downloads.sourceforge.net/stylus-toolbox/%{name}-%{version}.tar.bz2
Patch0:		%{name}.patch

BuildArch:	noarch

BuildRequires:	python-devel
Requires:	python-module-pexpect
Requires:	python-module-pygtk python-module-pygtk-demo
Requires:	dbus dbus-tools
Requires:	gutenprint libgutenprint
Requires:	cups
Source44: import.info

%description
Stylus Toolbox is a printer utility for Epson StylusA. inkjet printers that is
designed to replace the Epson Printer Utility that comes with the Epson drivers
for the Windows platform on Linux, Mac OS X, FreeBSD and other Unix and
Unix-like operating systems that are supported by the Python programming
language and the Gutenprint inkjet drivers.

Stylus Toolbox is a graphical (GUI) front-end for Gutenprint's escputil
command-line Epson printer utility.  As a result, it supports all printers
supported by escputil and Gutenprint, including many recent-model Epson Stylus
and Epson Photo printers. 

%prep
%setup -q
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
%{__python} setup.py --prefix %{buildroot}/usr
%{__python} setup.py install --root %{buildroot}
sed -i -e 's|%{buildroot}||' %{buildroot}%{_bindir}/%{name}
#remove shebang
sed -i -e '/\/usr\/bin\/env/d' %{buildroot}%{python_sitelibdir_noarch}/GladeWindow.py


%files
%doc README COPYING TODO
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/*.glade
%{python_sitelibdir_noarch}/*


%changelog
* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_16
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_15
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_13
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_9
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_6
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.7-alt1_5
- initial fc import

